Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.config
Class XML2ConfigParser

    java.lang.Object
      |
      +--com.autonomy.utilities.EventDrivenXMLParser
            |
            +--com.autonomy.config.XML2ConfigParser

public class XML2ConfigParser
extends EventDrivenXMLParser

Takes any xml and converts it to a ConfigFile

Field Summary

Fields inherited from class com.autonomy.utilities.EventDrivenXMLParser
`PARSE_BAD_TAG, PARSE_EMPTY_TAG, PARSE_END_TAG, PARSE_START_TAG, PARSE_XML_TAG`

Constructor Summary
`XML2ConfigParser()`
`XML2ConfigParser(java.lang.String sXML)`

Method Summary
`void` | `charDataHandler(java.lang.String sCharData)` Called when the parser encounters character data.
`void` | `endElementHandler(java.lang.String sTagName)` Called when the parser encounters an xml element's end tag.
`com.autonomy.config.ConfigFile` | `getConfigFile()` Grab the parsed xml as a ConfigFile
`void` | `startElementHandler(java.lang.String sTagName, java.util.Hashtable htAttributes)` Called when the parser encounters an xml element's start tag.
`void` | `XMLElementHandler(java.lang.String sTagName, java.util.Hashtable htAttributes)` Called when the parser encounters The

Methods inherited from class com.autonomy.utilities.EventDrivenXMLParser
`parse, parse, setXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML2ConfigParser

    public XML2ConfigParser(java.lang.String sXML)

### XML2ConfigParser

    public XML2ConfigParser()

Method Detail

### getConfigFile

    public com.autonomy.config.ConfigFile getConfigFile()

  Grab the parsed xml as a ConfigFile

### XMLElementHandler

    public void XMLElementHandler(java.lang.String sTagName,
                                  java.util.Hashtable htAttributes)

  Description copied from class: `EventDrivenXMLParser`
  Called when the parser encounters The tag. This method should be overridden to expand the parser's functionality.

  Overrides:
    `XMLElementHandler` in class `EventDrivenXMLParser`
  Parameters:
    `sTagName` - the name of the xml element.
    `htAttributes` - a Hashtable containing the xml element's attributes in key-value pairs. The attribute names are used as the table's keys and the attribute values are the corresponding table values. If there are no attributes this Hashtable is empty.

### startElementHandler

    public void startElementHandler(java.lang.String sTagName,
                                    java.util.Hashtable htAttributes)

  Description copied from class: `EventDrivenXMLParser`
  Called when the parser encounters an xml element's start tag. This method should be overridden to expand the parser's functionality.

  Overrides:
    `startElementHandler` in class `EventDrivenXMLParser`
  Parameters:
    `sTagName` - the name of the xml element.
    `htAttributes` - a Hashtable containing the xml element's attributes in key-value pairs. The attribute names are used as the table's keys and the attribute values are the corresponding table values. If there are no attributes this Hashtable is empty.

### endElementHandler

    public void endElementHandler(java.lang.String sTagName)

  Description copied from class: `EventDrivenXMLParser`
  Called when the parser encounters an xml element's end tag. This method should be overridden to expand the parser's functionality.

  Overrides:
    `endElementHandler` in class `EventDrivenXMLParser`
  Parameters:
    `sTagName` - the name of the xml element.

### charDataHandler

    public void charDataHandler(java.lang.String sCharData)

  Description copied from class: `EventDrivenXMLParser`
  Called when the parser encounters character data. This method should be overridden to expand the parser's functionality.

  Overrides:
    `charDataHandler` in class `EventDrivenXMLParser`
  Parameters:
    `sCharData` - the character data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD